Loading...
Searching...
No Matches
ISAM2

## Classes

class | gtsam::ISAM2
| Implementation of the full ISAM2 algorithm for incremental nonlinear optimization. More...
struct | gtsam::ISAM2GaussNewtonParams
| Parameters for ISAM2 using Gauss-Newton optimization. More...
struct | gtsam::ISAM2DoglegParams
| Parameters for ISAM2 using Dogleg optimization. More...
struct | gtsam::ISAM2Result
| This struct is returned from ISAM2::update() and contains information about the update that is useful for determining whether the solution is converging, and about how much work was required for the update. More...
struct | gtsam::ISAM2UpdateParams
| This struct is used by ISAM2::update() to pass additional parameters to give the user a fine-grained control on how factors and relinearized, etc. More...

## Typedefs

typedef FastMap< char, Vector > | gtsam::ISAM2ThresholdMap
| Parameters for the ISAM2 algorithm.

## Detailed Description

## Typedef Documentation

## ISAM2ThresholdMap

typedef FastMap<char, Vector> gtsam::ISAM2ThresholdMap

Parameters for the ISAM2 algorithm.

Default parameter values are listed below.